from trytond.model import ModelSingleton, ModelSQL, ModelView, fields

class OptionalScenario(ModelSQL,ModelView):
    "Optionals Scenarios"
    __name__ = 'optional.scenario'

    line = fields.Many2One('purchase.line',"Line")
    name = fields.Char("Scenario")
    premium = fields.Numeric("Premium", digits=(16,4))
    from_location = fields.Many2One('stock.location',"Loading")
    to_location = fields.Many2One('stock.location',"Destination")
    activate = fields.Boolean("Activated")
